Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1463194 - (CVE-2017-3167) CVE-2017-3167 httpd: ap_get_basic_auth_pw() authentication bypass
CVE-2017-3167 httpd: ap_get_basic_auth_pw() authentication bypass
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170620,repor...
: Security
Depends On: 1463208 1464872 1464873 1465916 1473691 1473692 1473693 1473696 1473697 1510060 1510061 1510062
Blocks: 1463212 1464082 1524240
  Show dependency treegraph
 
Reported: 2017-06-20 07:15 EDT by Andrej Nemec
Modified: 2018-10-19 17:41 EDT (History)
47 users (show)

See Also:
Fixed In Version: httpd 2.2.34, httpd 2.4.26
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that the use of httpd's ap_get_basic_auth_pw() API function outside of the authentication phase could lead to authentication bypass. A remote attacker could possibly use this flaw to bypass required authentication if the API was used incorrectly by one of the modules used by httpd.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2478 normal SHIPPED_LIVE Important: httpd security update 2017-08-15 18:11:45 EDT
Red Hat Product Errata RHSA-2017:2479 normal SHIPPED_LIVE Important: httpd security update 2017-08-15 18:23:44 EDT
Red Hat Product Errata RHSA-2017:2483 normal SHIPPED_LIVE Important: httpd24-httpd security update 2017-08-16 23:04:17 EDT
Red Hat Product Errata RHSA-2017:3193 normal SHIPPED_LIVE Important: httpd security update 2017-11-13 17:35:40 EST
Red Hat Product Errata RHSA-2017:3194 normal SHIPPED_LIVE Important: httpd security update 2017-11-13 17:36:28 EST
Red Hat Product Errata RHSA-2017:3195 normal SHIPPED_LIVE Important: httpd security update 2017-11-13 17:35:58 EST
Red Hat Product Errata RHSA-2017:3475 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2017-12-15 22:23:06 EST
Red Hat Product Errata RHSA-2017:3476 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2017-12-15 22:34:21 EST
Red Hat Product Errata RHSA-2017:3477 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2017-12-15 22:34:40 EST

  None (edit)
Description Andrej Nemec 2017-06-20 07:15:58 EDT
Use of the ap_get_basic_auth_pw() in Apache httpd by third-party modules outside of the authentication phase may lead to authentication requirements being bypassed.

References:

https://lists.apache.org/thread.html/8409e41a8f7dd9ded37141c38df001be930115428c3d64f70bbdb8b4@%3Cdev.httpd.apache.org%3E

External References:

https://httpd.apache.org/security/vulnerabilities_24.html
https://httpd.apache.org/security/vulnerabilities_22.html
Comment 1 Andrej Nemec 2017-06-20 07:37:05 EDT
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1463208]
Comment 12 errata-xmlrpc 2017-08-15 14:13:18 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:2478 https://access.redhat.com/errata/RHSA-2017:2478
Comment 13 errata-xmlrpc 2017-08-15 14:25:43 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2479 https://access.redhat.com/errata/RHSA-2017:2479
Comment 14 errata-xmlrpc 2017-08-16 19:06:19 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2483 https://access.redhat.com/errata/RHSA-2017:2483
Comment 17 errata-xmlrpc 2017-11-13 12:36:11 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Extended Update Support

Via RHSA-2017:3193 https://access.redhat.com/errata/RHSA-2017:3193
Comment 18 errata-xmlrpc 2017-11-13 12:38:39 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.7 Extended Update Support

Via RHSA-2017:3195 https://access.redhat.com/errata/RHSA-2017:3195
Comment 19 errata-xmlrpc 2017-11-13 12:40:24 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Extended Update Support

Via RHSA-2017:3194 https://access.redhat.com/errata/RHSA-2017:3194
Comment 20 errata-xmlrpc 2017-12-15 17:23:25 EST
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2017:3475 https://access.redhat.com/errata/RHSA-2017:3475
Comment 21 errata-xmlrpc 2017-12-15 17:35:08 EST
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2017:3476 https://access.redhat.com/errata/RHSA-2017:3476
Comment 22 errata-xmlrpc 2017-12-15 17:36:39 EST
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2017:3477 https://access.redhat.com/errata/RHSA-2017:3477

Note You need to log in before you can comment on or make changes to this bug.